%global dlrn_nvr sushy-oem-idrac-0.0.3.dev11-2.20210928204812.6478da8
%global dlrn 1
%define upstream_version 0.0.3.dev11
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif
%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%global with_doc 0
%global sname sushy-oem-idrac
%global pname sushy_oem_idrac

%global common_desc \
Sushy OEM iDRAC is a Python extension module for the Sushy library \
to communicate with Redfish-enabled Dell/EMC servers (http://redfish.dmtf.org).

Name: python-%{sname}
Version: 0.0.3
Release: 2.20210928204812.6478da8%{?dist}
Summary: An extension for the Sushy library to communicate with Redfish-enabled Dell/EMC servers
License: ASL 2.0
URL: https://opendev.org/x/%{sname}

Source0: sushy-oem-idrac-0.0.3.dev11-2.20210928204812.6478da8.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=6478da8b4d6e9b986a840b0dedb5a26419abdbf2
Patch0001: 0001-Fix-GET-HTTP-202-status-without-Location.patch
Patch0002: 0002-Add-export-system-configuration.patch

BuildArch: noarch

%description
%{common_desc}

%package -n python%{pyver}-%{sname}
Summary: An extension for the Sushy library to communicate with Redfish-enabled Dell/EMC servers
%{?python_provide:%python_provide python%{pyver}-%{sname}}

BuildRequires: git
BuildRequires: python%{pyver}-devel
BuildRequires: python%{pyver}-pbr
BuildRequires: python%{pyver}-setuptools
# For running unit tests during check phase
BuildRequires: python%{pyver}-dateutil
BuildRequires: python%{pyver}-six
BuildRequires: python%{pyver}-stestr
BuildRequires: python%{pyver}-sushy

Requires: python%{pyver}-pbr >= 2.0.0
Requires: python%{pyver}-six >= 1.10.0
Requires: python%{pyver}-dateutil >= 2.7.0
Requires: python%{pyver}-sushy >= 2.0.0


%description -n python%{pyver}-%{sname}
%{common_desc}

%package -n python%{pyver}-%{sname}-tests
Summary: An extension for the Sushy library to communicate with Redfish-enabled Dell/EMC servers - tests
Requires: python%{pyver}-%{sname} = %{version}-%{release}

BuildRequires: python%{pyver}-mock
BuildRequires: python%{pyver}-oslotest
BuildRequires: python%{pyver}-testtools

Requires: python%{pyver}-mock
Requires: python%{pyver}-oslotest
Requires: python%{pyver}-testtools

%description -n python%{pyver}-%{sname}-tests
%{common_desc}

This package contains unit tests.

%prep
%autosetup -n %{sname}-%{upstream_version} -S git

# Let's handle dependencies ourseleves
rm -f *requirements.txt

%build
%{pyver_build}

%check
stestr-%{pyver} run --slowest

%install
%{pyver_install}

%files -n python%{pyver}-%{sname}
%license LICENSE
%{pyver_sitelib}/%{pname}
%{pyver_sitelib}/%{pname}-*.egg-info
%exclude %{pyver_sitelib}/%{pname}/tests

%files -n python%{pyver}-%{sname}-tests
%license LICENSE
%{pyver_sitelib}/%{pname}/tests

%changelog
* Tue Sep 28 2021 OSP Prod Chain <dev-null@redhat.com> 0.0.3-2.20210928204812.6478da8
- Add export system configuration (rhbz#1825537)

* Mon Jun 07 2021 OSP Prod Chain <dev-null@redhat.com> 0.0.3-2.20210607085843.6478da8
- Update patches

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 0.0.3-2.20210527185436.6478da8
- Update patches

* Wed Feb 10 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Feb 10 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Feb 09 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Fix GET HTTP 202 status without Location (rhbz#1825536)
- Python 3 only

* Wed Dec 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Jul 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Apr 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump hacking to 3.0.0

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Drop support for Python 2.7

* Tue Mar 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Jan 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches


